<?
if(isset($_POST['nick']) && isset($_POST['password']) && isset($_POST['password2']) && isset($_POST['email']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1"),0)!=0)err_game("Этот ник уже зарегистрирован. Выберите другой!");
elseif( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))err_game('В нике присутствуют запрещенные символы');
elseif (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))err_game('Разрешается использовать символы только русского или только английского алфавита');
elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))err_game('Запрещено использовать пробел в начале и конце ника');
elseif (strlen2($_POST['nick'])<4)err_game('Короткий ник');
elseif (strlen2($_POST['nick'])>32)err_game('Длина ника превышает 32 символа');
elseif (!isset($_POST['email']) || $_POST['email']==NULL)err_game('Необходимо ввести Email');
elseif (!preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['email']))err_game('Неверный формат Email');
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `email` = '".my_esc($_POST['email'])."'"),0)!=0)err_game("Пользователь с этим E-mail уже зарегистрирован");
elseif (strlen2($_POST['password'])<6)err_game('По соображениям безопасности пароль не может быть короче 6-ти символов');
elseif(strlen2($_POST['password'])>32)err_game('Длина пароля превышает 32 символа');
elseif ($_POST['password']!=$_POST['password2'])err_game('Пароли не совпадают');
else
{
if($_POST['pol']==0)$pol='0';else $pol='1';
mysql_query("UPDATE `kolhoz_user` SET `nick` = '".my_esc($_POST['nick'])."', `password` = '".md5($_POST['password'])."', `pol` = '$pol', `email` = '".my_esc($_POST['email'])."' WHERE id = '".intval($_SESSION['id_user'])."'");
mysql_query("UPDATE `kolhoz_user` SET `start` = '".($ku['start']=0)."' WHERE `id` = '$ku[id]' LIMIT 1");
header("Location:/?myfarm");
exit;
}
}
?>
<div class="event">
<div><h1>Сохранение персонажа</h1></div>
</div>
<div class="block">
<div class="content">
<form method="post"><ul>
<div class="block">
<label>Ваш ник (A-z,А-я,0-9,-_):<br>
<input type="text" value="" name="nick">
</label>
<div class='small minor'>Ник может содержать до 2-
х пробелов.</div></div>

<div class="block">
<input type="radio" name="pol" value="1" checked="checked"> Я — Парень<br />
<input type="radio" name="pol" value="0"> Я — Девушка<br />
</div>

<div class="block">
<label>Пароль (6-20 сим):<br>
<input type="password" value="" name="password">
</label>
</div>

<div class="block">
<label>Ещё раз пароль (6-20 сим):<br>
<input type="password" value="" name="password2">
</label>
</div>
<div class="block">
<label>E-mail:<br>
<input type="text" value="" name="email">
</label>
</li>
<div class='small minor'>Email необходим для
восстановления пароля.
Если Вы его не укажете, или
укажете неверно, то
восстановление пароля
будет невозможно.
<div class='small minor'>
<div style='yellow'>Внимание!</div>
После сохранения Ваш ник
и email изменить будет
нельзя.
</div></div>
<input type="submit" value="Сохранить">
</form>
<?
include_once 'inc/foot.php';
exit;
?>